// Package imports:
import 'package:flutter_test/flutter_test.dart';
import 'package:sghi_core/communities/models/room_power_level.dart';

void main() {
  test('RoomPowerLevel should convert from/to json', () {
    final RoomPowerLevel state = RoomPowerLevel.initial();
    final Map<String, dynamic> result = state.toJson();

    expect(result, isA<Map<String, dynamic>>());
    expect(result['redact'], 50);

    final RoomPowerLevel result2 = RoomPowerLevel.fromJson(<String, dynamic>{
      'events': <String, int?>{
        'm.room.name': 50,
        'm.room.power_levels': 100,
        'm.room.history_visibility': 100,
        'm.room.canonical_alias': 50,
        'm.room.avatar': 50,
        'm.room.tombstone': 100,
        'm.room.server_acl': 100,
        'm.room.encryption': 100,
        'm.space.child': 50,
      },
      'invite': 50,
    });

    expect(result2.invite, isNotNull);
    expect(result2.invite, isA<int>());
    expect(result2.invite, 50);
  });
}
