// Package imports:
import 'package:flutter_test/flutter_test.dart';
import 'package:sghi_core/communities/models/room.dart';

void main() {
  test('Room should convert from/to json', () {
    final Room state = Room.initial();
    final Map<String, dynamic> result = state.toJson();

    expect(result, isA<Map<String, dynamic>>());
    expect(result.containsKey('num_joined_members'), true);
    expect(result['num_joined_members'], 0);

    final Room result2 = Room.fromJson(<String, dynamic>{
      'room_id': '1',
      'topic': 'chat test',
      'summary': <String, dynamic>{
        'm.joined_member_count': 10,
        'm.invited_member_count': 2,
      },
      'timeline': <String, dynamic>{
        'events': <Map<String, dynamic>>[],
      },
      'state': <String, dynamic>{
        'events': <Map<String, dynamic>>[],
      },
      'ephemeral': <String, dynamic>{
        'events': <Map<String, dynamic>>[],
      },
      'unread_notifications': <String, dynamic>{
        'notification_count': 10,
        'highlight_count': 2,
      },
      'invite_state': <String, dynamic>{
        'events': <Map<String, dynamic>>[],
      },
    });

    expect(result2.roomID, isNotNull);
    expect(result2.roomID, '1');
    expect(result2.topic, isNotNull);
    expect(result2.topic, 'chat test');
    expect(result2.summary?.joinedMembers, isNotNull);
    expect(result2.summary?.joinedMembers, 10);
    expect(result2.summary?.invitedMembers, 2);
  });
}
