// Package imports:
import 'package:flutter_test/flutter_test.dart';
import 'package:sghi_core/communities/models/sync_response.dart';

import '../../response_mocks.dart';

void main() {
  test('SyncResponse should convert from/to json', () {
    final SyncResponse state = SyncResponse.initial();
    final Map<String, dynamic> result = state.toJson();

    expect(result, isA<Map<String, dynamic>>());
    expect(result.containsKey('rooms'), true);

    final SyncResponse result2 = SyncResponse.fromJson(syncResponseMock);

    expect(result2.presence, isA<SyncPresence>());
    expect(result2.rooms, isA<SyncRoomResponse>());
    expect(result2.nextBatch, 'sample-next-batch');

    expect(result2.presence?.events?.length, 1);
    expect(result2.presence?.events?.first?.sender,
        '@abiudrn:chat.savannahghi.org');

    expect(result2.rooms?.joinedRooms?.length, 1);
    expect(result2.rooms?.invitedRooms?.length, 1);
    expect(result2.rooms?.knockedRooms?.length, 0);
    expect(result2.rooms?.leftRooms?.length, 0);

    expect(result2.rooms?.joinedRooms?.values.first.roomID,
        '!testRoom:chat.savannahghi.org');
  });
}
